.site-content .ast-container {
	justify-content: center;
}

#primary {
	max-width: 960px;
	margin-top: 0;
}

.space-thin-banner {
	display: block;
	background: #D3F0FF;
}

.space-thin-banner>div {
	height: 52px;
	margin: auto;
	max-width: 1200px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 20px;
	font-weight: 600;
	color: #3F3F3F;
}

.space-thin-banner strong {
	margin-left: 10px;
	color: #017BFD;
	font-weight: bold;
}

.space-thin-banner span {
	font-size: 16px;
	font-weight: 500;
}

.banner {
	margin-top: 40px;
	padding: 16px;
	width: 100%;
	position: relative;
}

.banner h2 {
	font-size: 2.5em;
	font-weight: bold;
	margin-bottom: 12px;
}

.banner p {
	margin-bottom: 0;
}

.sticky-filter {
	background: white;
	padding: 12px;
	z-index: 1;	
	position: sticky;
	top: 70px;
}

.admin-bar .sticky-filter {
	top: 102px;
}

.sticky-filter button {
	padding: 0 24px;
	background: #2F7CF5;
	line-height: 24px;
	border-radius: 12px;
}

.space-filter {
	display: flex;
	justify-content: start;
	gap: 18px;
}

.space-filter select,
.space-filter input {
	all: unset;
	padding-left: 18px;
	height: 32px;
	line-height: 32px;
	background: #F4F4F4 !important;
	border-radius: 6px !important;
}

.space-filter select {
	padding-right: 18px;
}

.space-filter input {
	width: 104px;
}

li.space {
	cursor: pointer;
	padding: 16px;
	margin: 16px;
	box-shadow: 0 0 4px 0 #0000001A;
	display: flex;
	gap: 20px;
	border-radius: 8px;
}

li.space:hover {
	background: #F4F4F4;
}

li.space .astra-shop-thumbnail-wrap {
	position: relative;
	margin-bottom: 0;
}

li.space .astra-space-summary-wrap .title {
	display: flex;
	gap: 6px;
	align-items: center;
}

li.space .astra-space-summary-wrap input {
	width: 20px;
	height: 20px;
}

li.space .astra-space-summary-wrap h3 {
	font-size: 16px;
	font-weight: bold;
}

li.space .astra-space-summary-wrap {
	flex: 1;
	overflow-y: auto;
	color: #3f3f3f;
}

li.space .astra-space-summary-wrap .summary-header {
	font-size: 16px;
	margin-top: 8px;
	margin-bottom: 12px;
}

li.space .astra-space-summary-wrap .summary-header .featured {
	color: #2F7CF5;
    float: right;
    font-weight: 600;
}

li.space .astra-space-summary-wrap .summary-description {	
	display: flex;
    font-size: 14px;
    flex-direction: column;
    gap: 8px;
}

li.space .astra-space-summary-wrap .summary-description > div {
	display: grid;
	gap: 8px;
	grid-template-columns: auto 1fr;
}

li.space .astra-space-summary-wrap .summary-description p {
	margin-bottom: 0;
}

li.space .astra-space-summary-wrap .summary-description label {
	color: #909090;
}


li.space .astra-shop-thumbnail-wrap {
	display: flex;
	gap: 15px;
	flex-direction: column;
}

li.space .astra-shop-thumbnail-wrap img {
	max-width: 220px;
	width: 100%;
	border-radius: 8px;
	aspect-ratio: 16 / 9;
	object-fit: cover;
}

li.space .astra-space-action-wrap {
	display: block;
	text-align: right;
}

li.space .astra-space-action-wrap button {
	padding: 8px 16px;
	background: #EAF2FE;
	color: #2F7CF5;
	font-size: 14px;
	border-radius: 6px;
}


div:has(.footer-button) {
	box-shadow: 0 -6px 20px 0 #0000000A;
	background: white;
	position: sticky;
	bottom: 0;
}

.footer-button {
	height: 120px;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
}

.footer-button button {
	font-size: 16px;
	background: #017BFD;
	border-radius: 8px;
	height: 52px;
	max-width: 300px;
	width: 100%;
}

.radio-group label.required:not(:first-child) {
	padding-top: 8px;
	border-top: solid #e4e4e4 1px;
}
.radio-wrapper {
	display: flex;
	gap: 8px;
}

label:has(input[type="radio"]) {
	margin-bottom: 5px !important;
	gap: 8px;
}


@media(max-width: 767px) {
	.space-thin-banner>div {
		height: auto;
		flex-direction: column;
		font-size: 16px;
	}
		
	.space-thin-banner span {
		font-size: 14px;		
	}

	.sticky-filter {
		top: 0;
	}

	.admin-bar .sticky-filter {
		top: 0;
	}

	.space-filter {
		display: flex;
		justify-content: space-between;
		gap: 5px;
	}
	
	.space-filter input {
		width: 70px;
	}

	.footer-button { 
		height: 80px;
	}
	.footer-button > span{
		display: none;
	}

	li.space {
		flex-direction: column-reverse;
	}

	li.space .astra-shop-thumbnail-wrap img {
		max-width: 100%;
	}

	li.space .astra-space-action-wrap button {
		width: 100%;
	}
	
}